Class ForwardingRuleList.Builder (1.91.0)

public static final class ForwardingRuleList.Builder extends GeneratedMessageV3.Builder<ForwardingRuleList.Builder> implements ForwardingRuleListOrBuilder

Contains a list of ForwardingRule resources.

Protobuf type google.cloud.compute.v1.ForwardingRuleList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends ForwardingRule> values)

public ForwardingRuleList.Builder addAllItems(Iterable<? extends ForwardingRule> values)

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.ForwardingRule>
Returns
Type Description
ForwardingRuleList.Builder

addItems(ForwardingRule value)

public ForwardingRuleList.Builder addItems(ForwardingRule value)

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Parameter
Name Description
value ForwardingRule
Returns
Type Description
ForwardingRuleList.Builder

addItems(ForwardingRule.Builder builderForValue)

public ForwardingRuleList.Builder addItems(ForwardingRule.Builder builderForValue)

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Parameter
Name Description
builderForValue ForwardingRule.Builder
Returns
Type Description
ForwardingRuleList.Builder

addItems(int index, ForwardingRule value)

public ForwardingRuleList.Builder addItems(int index, ForwardingRule value)

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Parameters
Name Description
index int
value ForwardingRule
Returns
Type Description
ForwardingRuleList.Builder

addItems(int index, ForwardingRule.Builder builderForValue)

public ForwardingRuleList.Builder addItems(int index, ForwardingRule.Builder builderForValue)

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Parameters
Name Description
index int
builderForValue ForwardingRule.Builder
Returns
Type Description
ForwardingRuleList.Builder

addItemsBuilder()

public ForwardingRule.Builder addItemsBuilder()

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Returns
Type Description
ForwardingRule.Builder

addItemsBuilder(int index)

public ForwardingRule.Builder addItemsBuilder(int index)

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
ForwardingRule.Builder

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public ForwardingRuleList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
ForwardingRuleList.Builder
Overrides

build()

public ForwardingRuleList build()
Returns
Type Description
ForwardingRuleList

buildPartial()

public ForwardingRuleList buildPartial()
Returns
Type Description
ForwardingRuleList

clear()

public ForwardingRuleList.Builder clear()
Returns
Type Description
ForwardingRuleList.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public ForwardingRuleList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
ForwardingRuleList.Builder
Overrides

clearId()

public ForwardingRuleList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ForwardingRuleList.Builder

This builder for chaining.

clearItems()

public ForwardingRuleList.Builder clearItems()

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Returns
Type Description
ForwardingRuleList.Builder

clearKind()

public ForwardingRuleList.Builder clearKind()

Output only. Type of resource.

optional string kind = 3292052;

Returns
Type Description
ForwardingRuleList.Builder

This builder for chaining.

clearNextPageToken()

public ForwardingRuleList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
ForwardingRuleList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public ForwardingRuleList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
ForwardingRuleList.Builder
Overrides
public ForwardingRuleList.Builder clearSelfLink()

Output only. [Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
ForwardingRuleList.Builder

This builder for chaining.

clearWarning()

public ForwardingRuleList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
ForwardingRuleList.Builder

clone()

public ForwardingRuleList.Builder clone()
Returns
Type Description
ForwardingRuleList.Builder
Overrides

getDefaultInstanceForType()

public ForwardingRuleList getDefaultInstanceForType()
Returns
Type Description
ForwardingRuleList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public ForwardingRule getItems(int index)

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
ForwardingRule

getItemsBuilder(int index)

public ForwardingRule.Builder getItemsBuilder(int index)

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
ForwardingRule.Builder

getItemsBuilderList()

public List<ForwardingRule.Builder> getItemsBuilderList()

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Returns
Type Description
int

getItemsList()

public List<ForwardingRule> getItemsList()

A list of ForwardingRule resources.

repeated .google.cloud.compute.v1.ForwardingRule items = 100526016;

Returns
Type Description